# Upload Supporting Documents

• Valid government ID (Passport/Driver's License/National ID)\
• Current Proof of Address document

### **Request URI** <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/issuing/holder/upload-document`

### **Request Body**

&#x20;**Refer to :** [**common**](/issuing-card-api/common.md)

&#x20;**Biz\_data :**

<table><thead><tr><th>Name</th><th width="189.52734375">Type</th><th>Description</th></tr></thead><tbody><tr><td>holder_id<mark style="color:red;">*</mark></td><td>long</td><td>holder ID</td></tr><tr><td>file_type<mark style="color:red;">*</mark></td><td>integer</td><td><p>file type,refer to: <a href="/pages/tBCtpshgLEfoOtYOac1e">fileType</a>,</p><p>Tip: ID and address are required</p></td></tr><tr><td>file_name<mark style="color:red;">*</mark></td><td>string(5-80)</td><td><p>file name,</p><p>Supported formats：pdf、jpg、jpeg、png、doc、docx</p><p>for example:xxx.pdf</p></td></tr><tr><td>file_content<mark style="color:red;">*</mark></td><td>string</td><td><p>File content .Base64 encoding.</p><p><mark style="color:red;">Max size: 2M</mark></p></td></tr><tr><td>file_desc</td><td>string(128)</td><td>file description</td></tr></tbody></table>

### **Request** Example <a href="#example" id="example"></a>

```
{
    "app_id": "00000000000000000",
    "partner_id": "00000000000000000",
    "request_id": "4955b462-EEb3-Ed48-9d66-49346B4C",
    "timestamp": "2025-04-07 13:52:17",
    "format": "JSON",
    "version": "2.0",
    "sign_type": "RSA",
    "biz_data": {
        "holder_id": "103006",
        "file_type": 1,
        "file_name": "test.png",
        "file_content": "iVBORw0KGgoAAAAN......UVORK5CYII=",
        "file_desc": ""
    },
    "random_key": "<generated_key>"
}
// The biz_data in this example needs to be encrypted!
```

### Response <a href="#example" id="example"></a>

<table><thead><tr><th>Name</th><th width="189.52734375">Type</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>long</td><td>Document ID</td></tr></tbody></table>

{% tabs %}
{% tab title="200:OK" %}

```
{
    "code": "10000",
    "msg": "Success",
    "total": 1,
    "random_key": "<random key used for decryption>",
    "sign_type": "RSA",
    "app_id": "00000000000000000",
    "data": {
        "id": 100666
    }
}
// The data in this example has already been decrypted.
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/issuing-card-api/business/cardholder/upload-supporting-documents.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
